uk.gov.hmrc.address.services.es

# ESAdminImpl

###
Related Doc: package es

#### class ESAdminImpl extends ESAdmin

Provides a facade for low-level ES administration operations.

Linear Supertypes
ESAdmin, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ESAdminImpl
2. ESAdmin
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ESAdminImpl(clients: List[ElasticClient], logger: SimpleLogger, ec: ExecutionContext, settings: ElasticSettings)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def aliasesFor(indexName: String): List[String]

   Definition Classes
     ESAdminImpl → ESAdmin

5. #### def allAliases: Map[String, List[String]]

   Definition Classes
     ESAdminImpl → ESAdmin

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val clients: List[ElasticClient]

   Definition Classes
     ESAdminImpl → ESAdmin

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val connectionAttemptLimit: Int

10. #### def countDocuments(indexName: String, documentName: String): Option[Int]

    Definition Classes
      ESAdminImpl → ESAdmin

11. #### def deleteIndex(name: String): Unit

    Definition Classes
      ESAdminImpl → ESAdmin

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def existingIndexNames: List[String]

    Definition Classes
      ESAdminImpl → ESAdmin

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def getIndexInUseFor(product: String): Option[String]

    Definition Classes
      ESAdminImpl → ESAdmin

18. #### def getIndexSettings(indexName: String): Map[String, String]

    Definition Classes
      ESAdminImpl → ESAdmin

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### val healthCheckTimeout: TimeValue

21. #### def indexExists(name: String): Boolean

    Definition Classes
      ESAdminImpl → ESAdmin

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def setReplicationCount(indexName: String, replicaCount: Int): Unit

    Definition Classes
      ESAdminImpl → ESAdmin

27. #### def shardsAreStable(indexName: String): Boolean

    Definition Classes
      ESAdminImpl → ESAdmin

28. #### def switchAliases(newIndexName: String, productName: String, umbrellaAlias: String = "address-reputation-data"): Set[String]

    Atomic transfer from existing to new.

    Atomic transfer from existing to new. Will typically yield a set of just one name, this being the deposed index(es).

    Definition Classes
      ESAdminImpl → ESAdmin

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def waitForGreenStatus(indices: String*): Unit

    Definition Classes
      ESAdminImpl → ESAdmin

35. #### def writeIndexSettings(indexName: String, settings: Map[String, String]): Unit

    Definition Classes
      ESAdminImpl → ESAdmin

### Inherited from ESAdmin

### Inherited from AnyRef

### Inherited from Any

### Ungrouped